'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var emoji = _interopDefault(require('emoji-regex'));

var whitespace = /\s/g;
var specials = /[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~’]/g;
var GithubSlugger = /*#__PURE__*/function () {
  function GithubSlugger() {
    this.ids = new Set();
  }

  var _proto = GithubSlugger.prototype;

  _proto.slug = function slug(text) {
    var slugText = _slug(text);

    var result = '';
    var nr = 0;

    do {
      result = slugText + (nr === 0 ? '' : "-" + nr);
      nr++;
    } while (this.ids.has(result));

    this.ids.add(result);
    return result;
  };

  return GithubSlugger;
}();

function _slug(text) {
  return text.trim().toLowerCase().replace(specials, '').replace(emoji(), '').replace(whitespace, '-');
}

exports.GithubSlugger = GithubSlugger;
exports.slug = _slug;
//# sourceMappingURL=github-slugger-typescript.cjs.development.js.map
